ONVIF::PTZ::Types::AnalyticsEngineInputInfo(3)

NAME
ONVIF::PTZ::Types::AnalyticsEngineInputInfo

DESCRIPTION
Perl data type class for the XML Schema defined complexType AnalyticsEngineInputInfo from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   InputInfo

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::AnalyticsEngineInputInfo
   InputInfo =>  { # ONVIF::PTZ::Types::Config
     Parameters =>  { # ONVIF::PTZ::Types::ItemList
       SimpleItem => ,
       ElementItem =>  {
       },
       Extension =>  { # ONVIF::PTZ::Types::ItemListExtension
       },
     },
   },
   Extension =>  { # ONVIF::PTZ::Types::AnalyticsEngineInputInfoExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL